package com.goafanti.common.enums;

public enum Maturity {
	Type1(0,"正在研发"),
	Type2(1,"已有样品"),
	Type3(2,"通过小试"),
	Type4(3,"通过中试"),
	Type5(4,"可以量产"),
	Unknow(-1,"未知成熟度")
	;
		int i;
		String name;
		
		Maturity(int i, String name) {
			this.i = i;
			this.name = name;
		}

		public int getI() {
			return i;
		}

		public void setI(int i) {
			this.i = i;
		}

		public String getName() {
			return name;
		}

		public void setName(String name) {
			this.name = name;
		}
		public static Maturity find(int i)
		{
			for(Maturity m:values())
			{
				if(m.getI()==i)return m;
			}
			return Unknow;
		}
}
